Bug 1308559 - py-radix: Provide a Python 3 subpackage
Summary: py-radix: Provide a Python 3 subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: py-radix
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-02-15 13:58 UTC by Petr Viktorin
Modified: 2016-08-27 10:29 UTC (History)
6 users (show)

Fixed In Version: py-radix-0.9.3-4.fc26 py-radix-0.9.3-4.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-27 10:29:44 UTC


Attachments (Terms of Use)
python 3 subpackage (4.64 KB, patch)
2016-07-21 13:38 UTC, Charalampos Stratakis
no flags Details | Diff

Description Petr Viktorin 2016-02-15 13:58:25 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Jan Kurik 2016-02-24 15:21:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Dominika Krejčí 2016-04-20 12:21:54 UTC
Hello Matt,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html

Comment 3 Matt Domsch 2016-06-13 19:13:49 UTC
I do need help - I haven't spent much time with this package in quite some time, and would be happy for another maintainer to take it over.  I don't use this software on a regular basis anymore now that I'm not working on MirrorManager.

Comment 4 Charalampos Stratakis 2016-07-21 13:38:19 UTC
Created attachment 1182500 [details]
python 3 subpackage

Here is a patch that provides a python 3 subpackage, renames the python 2 package to python2-py-radix (also the python 2 subpackage provides the py-radix name) and modernizes the SPEC.

Comment 5 Lumír Balhar 2016-07-27 12:58:52 UTC
Patch looks good to me.

Comment 6 Lumír Balhar 2016-07-27 13:07:31 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15035728

Comment 7 Miro Hrončok 2016-08-16 10:14:45 UTC
Rawhide build http://koji.fedoraproject.org/koji/taskinfo?taskID=15273873

Comment 8 Fedora Update System 2016-08-16 10:45:25 UTC
py-radix-0.9.3-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c0d8fad169

Comment 9 Fedora Update System 2016-08-16 16:25:41 UTC
py-radix-0.9.3-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c0d8fad169

Comment 10 Fedora Update System 2016-08-27 10:29:40 UTC
py-radix-0.9.3-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.